Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractCreateData.Builder

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractCreateData.Builder

Enclosing class:
  `ContractCreateData`

public static class ContractCreateData.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractCreateData`
  `build()`
  `ContractCreateData.Builder`
  `setContractParameters(List<EntityAttr> contractParameters)`
  `ContractCreateData.Builder`
  `setContractSubMode(int contractSubMode)`
  `ContractCreateData.Builder`
  `setContractSuperId(int contractSuperId)`
  `ContractCreateData.Builder`
  `setContractTariffs(List<ContractTariff> contractTariffs)`
  `ContractCreateData.Builder`
  `setCopyParameterIds(List<Integer> copyParameterIds)`
  `ContractCreateData.Builder`
  `setCustomTitle(String customTitle)`
  `ContractCreateData.Builder`
  `setDateFrom(Date dateFrom)`
  `ContractCreateData.Builder`
  `setPassword(String password)`
  `ContractCreateData.Builder`
  `setPatternId(int patternId)`
  `ContractCreateData.Builder`
  `setTitle(String title)`
  `ContractCreateData.Builder`
  `setTitleParams(Map<String,Object> titleParams)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setTitle

    public ContractCreateData.Builder setTitle(String title)

  - ### setCustomTitle

    public ContractCreateData.Builder setCustomTitle(String customTitle)

  - ### setPassword

    public ContractCreateData.Builder setPassword(String password)

  - ### setPatternId

    public ContractCreateData.Builder setPatternId(int patternId)

  - ### setContractSuperId

    public ContractCreateData.Builder setContractSuperId(int contractSuperId)

  - ### setContractSubMode

    public ContractCreateData.Builder setContractSubMode(int contractSubMode)

  - ### setDateFrom

    public ContractCreateData.Builder setDateFrom(Date dateFrom)

  - ### setCopyParameterIds

    public ContractCreateData.Builder setCopyParameterIds(List<Integer> copyParameterIds)

  - ### setContractParameters

    public ContractCreateData.Builder setContractParameters(List<EntityAttr> contractParameters)

  - ### setContractTariffs

    public ContractCreateData.Builder setContractTariffs(List<ContractTariff> contractTariffs)

  - ### setTitleParams

    public ContractCreateData.Builder setTitleParams(Map<String,Object> titleParams)

  - ### build

    public ContractCreateData build()